<?php
/**
 * Custom functions that act independently of the theme templates.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package STMPack
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function stm_body_classes( $classes ) {
	$stm_post_type = array( 'post' ,'page' );

	if(is_singular($stm_post_type)){
		global $post;
		$stm_sidebar_layout = get_post_meta( $post->ID, 'stm_sidebar_layout', true );

		if(!$stm_sidebar_layout){
			$stm_sidebar_layout = 'right_sidebar';
		}

		$classes[] = 'stm-'.$stm_sidebar_layout;
	} else {
		$classes[] = 'hfeed';
	}

	return $classes;
}
add_filter( 'body_class', 'stm_body_classes' );
